Compatibility Problems Not yet rated

Great concept, but most likely having compatibility problems with FF 2.0.0.6. Developers should ensure such add-ons are updated with latest FF releases. Nice try anyway!

This review is for a previous version of the add-on (1.1).